WordPress.org

Ready to get started?Download WordPress

Forums

[closed] Automated downgrade (12 posts)

  1. drewdroid
    Member
    Posted 2 years ago #

    There really should be a way to do this. I upgraded to WordPress 3.2 and had to downgrade to 3.1.4 because a plugin malfunctioned. I used this video on youtube to help me downgrade, but it was a fairly scary procedure (although not too difficult).
    http://www.youtube.com/watch?v=OwNR6NVhVFQ

    I definitely think there should be a simple way to roll-back your wordpress installation at least one iteration if you are having trouble with some of your plugins. And definitely notify the plugin developer of course.

  2. calisun
    Member
    Posted 2 years ago #

    Easy way to downgrade, make a backup of your installation and database before you start an upgrade. If something fails during an upgrade, simply override the program and database with backed up files, and you will be back to where you started. Much quicker and easier process than trying to downgrade.
    Besides, that is why first step in upgrade instructions says "Take a Backup"

  3. drewdroid
    Member
    Posted 2 years ago #

    Except I did make a backup, and *thought* everything was working after which I added loads of content. Then I found out everything wasn't exactly working.

    That's the problem. My site isn't even that large and I easily missed the fact that something was malfunctioning. That's why they need to have an automated downgrade.

    By doing it this way, the click stats could also provide them or plugin/theme devs information on upgrade issues if they forced everyone to take a small survey before downgrading.

  4. calisun
    Member
    Posted 2 years ago #

    I agree with you and I know how it feels when something is not working, it sucks.
    But looking from a standpoint of wordpress developers, they will say that the problem was not with wordpress, the problem was with a plugin.
    So I don't think it is likely they will implement this.
    But good thing to know that this is possible to downgrade and thanks for sharing the youtube link on how-to.

    Besides, looking at the video, manual downgrade process is no different from manual upgrade process. Very simple and easy process.

  5. drewdroid
    Member
    Posted 2 years ago #

    That's why I think this downgrading shouldn't happen behind the scenes manually, it would be better if it could be automatic with the requirement that users notify their plugin or theme developers straight from their WordPress back-end. That way it's obvious that the problem is with a user's plugins or themes and not WordPress generally.

    But the video is real good. One thing I would suggest is if other users want to use the video is to perform one extra backup of *everything* in addition to the way the video narrator tells you to do it.

  6. But looking from a standpoint of wordpress developers, they will say that the problem was not with wordpress, the problem was with a plugin.

    Sometimes this is true. Most of the time :)

    From the point of the devs it's more 'We tested, we released betas and RCs to the wild and YOU tested. Not everyone tests, and there's no way to make them.'

    It's kind of the bane of open source. ANYONE can make a plugin and we don't stop 'em. No one spot checks 'em either unless someone raises a red-flag. So we have to accept that there WILL be issues.

  7. Rev. Voodoo
    Volunteer Moderator
    Posted 2 years ago #

    I'm pretty sure there would never be an automatic downgrade.

    Downgrades are not supported or recommended. The only supported version of WP is the most recent version. If you are not using the most recent version, you are not using the most secure version.

    Plugins/themes should be upgraded, WP should not be downgraded

  8. nohler
    Member
    Posted 2 years ago #

    BUMP

    3.2 broke most slider plugins.
    Ouch

  9. nohler
    Member
    Posted 2 years ago #

    It would be nice, if admins could hide the update from other users or even admins.

  10. nohler - Don't bump. Actually, make your OWN topics. That's better.

    And read http://wordpress.org/support/topic/troubleshooting-wordpress-32-master-list

    All of it. There are suggestions. In your case, try the Hotfix plugin.

  11. larryb44
    Member
    Posted 2 years ago #

    WP 3.2 recommends IE8 but when I upgraded from IE7 I had a problem with Nextgen gallery on the pages (see http://ussfranklindroosevelt.com/?page_id=5473). I went back to IE7 and the problem went away. This issue does NOT exist when using Firefox as a browser. All visitors to my website using IE8 will now have a problem viewing images. I don't know if this is a Nextgen or WP compatability issue???? I don't know if downgrading WP will help. If there is anyone who has the capability of viewing my site page with a prior version of WP and IE8 that would HELP!!!

  12. Larryb44 - You should have made a NEW topic. However, the problem is with NextGen, and yes, that means everyone who uses IE 8 is going to have a problem with your site. Also? I would check with IE 9 if you can.

Topic Closed

This topic has been closed to new replies.

About this Topic